Dependencies required by HPLIP on Gentoo

sudo emerge media-libs/libjpeg-turbo dev-libs/libpthread-stubs libtool libusb app-text/ghostscript-gpl
[/code]


You are reading this post on Joel G Mathew’s tech blog. Joel's personal blog is the Eyrie, hosted here.

Setting up HP Laserjet P1007 on Gentoo

First install cups, start it, and add to default run level:

sudo emerge cups[/code]

If USE changes are necessary:

sudo emerge cups --autounmask-write
etc-update
sudo emerge cups[/code]

sudo /etc/init.d/cupsd start
sudo rc-update add cups default[/code]

Then install the HP Drivers:

sudo emerge foo2zjs[/code]


You are reading this post on Joel G Mathew’s tech blog. Joel's personal blog is the Eyrie, hosted here.